module psocket;

type
   word = [WORD] 0..32767;
   pstr = varying [10000] of char;
   http = integer;

function fix(s : pstr) : pstr;

begin
   fix := substr(s, 1, s.length);
end;

[external('VMS_HTTP_GET')]
function http_get(%STDESCR host : packed array [l1..u1:integer] of char;
                  %REF port : integer;
                  %STDESCR path : packed array [l2..u2:integer] of char;
                  %STDESCR acctyp : packed array [l3..u3:integer] of char) : http; extern;

[external('VMS_HTTP_POST')]
function http_post(%STDESCR host : packed array [l1..u1:integer] of char;
                   %REF port : integer;
                   %STDESCR path : packed array [l2..u2:integer] of char;
                   %STDESCR contyp : packed array [l3..u3:integer] of char;
                   %STDESCR acctyp : packed array [l4..u4:integer] of char;
                   %STDESCR body : packed array [l5..u5:integer] of char) : http; extern;

[external('VMS_HTTP_RECV')]
function http_recv(%REF con : http;
                   %STDESCR msg : packed array [l1..u1:integer] of char;
                   %REF msglen : word) : integer; extern;

[external('VMS_HTTP_CLOSE')]
procedure http_close(%REF con : http); extern;

end.
