#ifndef VMS_HTTP_H
#define VMS_HTTP_H

#include <descrip.h>

struct vms_http
{
   int sd;
   int chunked;
   int length;
   int count;
};

struct vms_http *http_get(const char *host, int port, const char *path,
                          const char *acctyp);
struct vms_http *http_post(const char *host, int port, const char *path,
                           const char *contyp, const char *acctyp, const char *body);
int http_recv(struct vms_http *con, char *inmsg, int inmsgsiz, short int *inmsglen);
void http_close(struct vms_http *con);

struct vms_http *vms_http_get(struct dsc$descriptor *host, int *port, struct dsc$descriptor *path,
                              struct dsc$descriptor *acctyp);
struct vms_http *vms_http_post(struct dsc$descriptor *host, int *port, struct dsc$descriptor *path,
                               struct dsc$descriptor *contyp, struct dsc$descriptor *acctyp, struct dsc$descriptor *body);
int vms_http_recv(struct vms_http **con, struct dsc$descriptor *inmsg, short int *inmsglen);
void vms_http_close(struct vms_http **con);

#endif
